<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Quiz 2</title>
</head>

<body>
    <div id="app">
        <input type="text" placeholder="Masukkan Nama" v-model="newData" />
        <button @click="addData" v-if="editClick">Add</button>
        <button @click="updateData" v-else>Update</button>
        <ul>
            <li v-for="(user, id) in users">
                {{ user.name }}
                <button @click="editData(user.name, id)">Edit</button> |
                <button @click="deleteData(id)">Delete</button>
            </li>
        </ul>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        var vm = new Vue({
            el: "#app",
            data: {
                users: [
                    { 'name': 'Muhammad Iqbal Mubarok' },
                    { 'name': 'Ruby Purwanti' },
                    { 'name': 'Faqih Muhammad' },
                ],
                newData: "",
                idData: 0,
                editClick: true,
            },
            methods: {
                addData: function (e) {
                    this.newData = {
                        name: this.newData,
                    };
                    this.users.push(this.newData);
                    this.newData = "";
                },
                editData: function (nama, id) {
                    this.newData = nama;
                    this.idData = id;
                    this.editClick = !this.editClick;
                },
                deleteData: function (id) {
                    if (confirm("Apakah anda yakin ingin menghapus data Ini ?")) {
                        this.users.splice(id, 1);
                    } else {
                        return;
                    }
                },
                updateData: function () {
                    this.users[this.idData].name = this.newData;
                    this.newData = "";
                    this.editClick = !this.editClick;
                },
            },
        });
    </script>
</body>

</html>